package com.caimei.mapper;

import com.caimei.model.po.*;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/6/8
 */
@Mapper
public interface OrderMapper {
    UserPo getUserByUserId(Integer userId);

    AddressVo findAddressByAddressId(Integer addressId);

    void insertOrder(CmOrderPo order);

    String findMaxShopOrderNo(Long orderID);

    void insertShopOrder(CmShopOrderPo shopOrder);

    void insertOrderProduct(CmOrderProductPo orderProduct);

    void insertOrderProductLadderPrice(OrderProductLadderPricePo ladderPrice);

    void updateOrder(CmOrderPo order);

    void insertUserInfo(BpOrderUserInfoPo userInfo);

    BpOrderInvoicePo getOrderInvoice(Long orderID);

    void updateOrderInvoice(BpOrderInvoicePo invoice);

    void insertOrderInvoice(BpOrderInvoicePo invoice);

    Integer getCountByOrderId(@Param("userId") Integer userId,@Param("apiOrganizeOrderId") String apiOrganizeOrderId);

    Integer getProvinceId(String provinceName);

    Integer getCityId(String cityName);

    Integer getTownId(String townName);

    OrderVo getOrderInfo(@Param("userId") Integer userId, @Param("apiOrganizeOrderId") String apiOrganizeOrderId);

    AddressInfoVo getAddressInfo(Integer orderId);

    Integer getOrderId(@Param("userId") Integer userId, @Param("apiOrganizeOrderId") String apiOrganizeOrderId);

    List<DiscernReceiptVo> findDiscernReceipt(int intValue);

    BigDecimal getRefundTotalMoney(Long orderID);

    List<CmReturnedPurchasePo> findReturnedPurchase(Long orderID);

    Integer returnedPurchase(Integer shopOrderID, Integer productID);

    Integer actualCancelNum(Integer shopOrderID, Integer productID);

    CmOrderPo getOrder(@Param("userId") Integer userId, @Param("apiOrganizeOrderId") String apiOrganizeOrderId);

    void updateNotifyUrl(@Param("organizeId") Integer organizeId, @Param("notifyUrl") String notifyUrl);
}
