package com.caimei.mapper;

import com.caimei.model.po.CmApiOrganizeProductPo;
import com.caimei.model.po.ProductDetailInfoPo;
import com.caimei.model.po.ProductImagePo;
import com.caimei.model.po.ProductPo;
import com.caimei.model.vo.LadderPriceVo;
import com.caimei.model.vo.OrderProductVo;
import com.caimei.model.vo.ProductVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/6/9
 */
@Mapper
public interface ProductMapper {

    CmApiOrganizeProductPo getProductByProductId(String productId);

    List<LadderPriceVo> getLadderPriceByProductId(Integer id);

    List<LadderPriceVo> findLadderPriceByProductId(Integer productID);

    ProductPo findPostFeeProduct();

    List<ProductVo> getProductList(@Param("organizeId") Integer organizeId,@Param("productName") String productName);

    ProductVo findProductByProductId(@Param("organizeId") Integer organizeId, @Param("productId") String productId);

    List<ProductImagePo> findProductImagesByOriginalId(Integer originalProductId);

    ProductDetailInfoPo findProductDetailByOriginalId(Integer originalProductId);

    List<OrderProductVo> getOrderProduct(Long orderID);
}
