package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * user
 * @author 
 */
@Data
public class UserPo implements Serializable {
    private Integer userID;

    /**
     * 采美组织默认为0,具体对应cm_api_organize表ID
     */
    private Integer apiOrganizeId;

    /**
     * 企业账号名【供应商，目前只存数据不能用于登录】
     */
    private String account;

    /**
     * 个人手机号码（协销）
     */
    private String mobile;

    /**
     * 企业绑定手机号（机构，供应商）
     */
    private String bindMobile;

    /**
     * 用户权限 0游客 1 普通用户 2 会员机构 3 供应商 4 协销 5 普通机构【V6.2.0版本后0和1不存在】
     */
    private Integer userPermission;

    /**
     * 用户身份 0、个人 1、协销 2、会员机构 3、供应商 4.普通机构【V6.2.0版本后0不存在】
     */
    private Integer userIdentity;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户名（机构联系人，供应商简称）
     */
    private String userName;

    /**
     * 真实姓名（供应商的联系人，机构不使用）
     */
    private String realName;

    /**
     * 注册来源: 0网站 1小程序
     */
    private String source;

    /**
     * 头像
     */
    private String image;

    /**
     * 密码
     */
    private String password;

    /**
     * 用户会员等级，见表c_userlevel或枚举UserLevel【V6.2.0版本已废弃】
     */
    private Integer userLevelID;

    /**
     * 名称（机构名称，供应商的公司名称）
     */
    private String name;

    /**
     * 昵称【V6.2.0版本已废弃】
     */
    private String nick;

    /**
     * 性别【V2021已废弃】
     */
    private String sex;

    /**
     * 见枚举UserType(1供应商,2协销经理,32协销,3会员机构,4普通机构)
     */
    private Integer registerUserTypeID;

    /**
     * 所属企业用户对应UserID【V6.2.0版本已废弃】
     */
    private Integer companyUserID;

    /**
     * 微信openID【V6.2.0版本已废弃】
     */
    private String openID;

    /**
     * 是否是供应商，1是 空或0否【V6.2.0版本已废弃】
     */
    private String manufacturerFlag;

    /**
     * 供应商状态， 3待审核， 90已上线，91已下线，92审核不通过
     */
    private Integer manufacturerStatus;

    /**
     * 供应商Id
     */
    private Integer shopID;

    /**
     * 是否创客，1是 空或0否【V6.2.0版本已废弃】
     */
    private String serviceProviderFlag;

    /**
     * 是否会所，1是 空或0否【V6.2.0版本已废弃】
     */
    private String clubFlag;

    /**
     * 达人标志【V6.2.0版本已废弃】
     */
    private String masterFlag;

    /**
     * 【V6.2.0版本已废弃】
     */
    private String normalFlag;

    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核备注
     */
    private String auditNote;

    /**
     * 注册时间
     */
    private String registerTime;

    /**
     * 注册ip
     */
    private String registerIP;

    /**
     * 登录时间
     */
    private String loginTime;

    /**
     * 登录ip
     */
    private String loginIP;

    /**
     * 用户状态，1正常，0冻结
     */
    private String validFlag;

    /**
     * 【V6.2.0版本已废弃】
     */
    private String emailCheckFlag;

    /**
     * 【V6.2.0版本已废弃】
     */
    private String mobileCheckFlag;

    /**
     * 会所状态，见表c_clubstatus或枚举ClubStatus
     */
    private Integer clubStatus;

    /**
     * 会所Id
     */
    private Integer clubID;

    /**
     * 同意协议标志
     */
    private String agreeFlag;

    /**
     * 【已废弃】
     */
    private String activationCode;

    /**
     * 【已废弃】
     */
    private String activationDate;

    /**
     * 创客状态
     */
    private Integer serviceProviderStatus;

    /**
     * 创客Id
     */
    private Integer serviceProviderID;

    /**
     * 【已废弃】达人状态
     */
    private Integer masterStatus;

    /**
     * 【已废弃】达人ID
     */
    private Integer masterID;

    /**
     * 账户余额
     */
    private BigDecimal userMoney;

    /**
     * 账户实际可用余额（提交订单未支付的被抵扣后的余额）
     */
    private BigDecimal ableUserMoney;

    /**
     * 积分【V6.2.0版本已废弃】
     */
    private Integer point;

    /**
     * 开通ERP标志【V6.2.0版本已废弃】
     */
    private String shopERPFlag;

    /**
     * 邀请人Id【V6.2.0版本已废弃】
     */
    private Integer fromUserID;

    /**
     * 邀请人名称【V6.2.0版本已废弃】
     */
    private String fromUserName;

    /**
     * 退出时间
     */
    private String logoffTime;

    private String appKey;

    private String appSecret;

    /**
     * 【已废弃】
     */
    private String sampleFlag;

    /**
     * 扫描标志(4 CRM拉上来的会所) 0待扫描 1 已扫描 2已上线
     */
    private Integer scanFlag;

    /**
     * 【已废弃】
     */
    private Integer sysroleid;

    /**
     * 【已废弃】
     */
    private String gender;

    /**
     * 年龄【V2021已废弃】
     */
    private Integer age;

    /**
     * 【V2021已废弃】
     */
    private String salerbuyer;

    /**
     * 【V2021已废弃】
     */
    private String position;

    /**
     * 【V2021已废弃】
     */
    private String skill;

    /**
     * 【V2021已废弃】
     */
    private BigDecimal workage;

    /**
     * 微信号【V2021已废弃】
     */
    private String wechat;

    /**
     * QQ号【V2021已废弃】
     */
    private String qq;

    /**
     * 短信是否发送成功【V2021已废弃】
     */
    private String smsFlag;

    /**
     * 采美豆数量【V2021已废弃】
     */
    private Integer userBeans;

    /**
     * 【已废弃】平台商标志位0非平台商 1平台商
     */
    private Integer privateShopFlag;

    /**
     * 【已废弃】平台会所标志位0非平台会所 1平台会所
     */
    private Integer privateClubFlag;

    /**
     * 是否创客授权【V2021已废弃】
     */
    private Integer isMeiDaoAuthorized;

    /**
     * 是否已经引导过(供应商首次登陆操作引导)
     */
    private Integer guideFlag;

    private Integer loginFailTime;

    /**
     * 用户申请加入企业的时间【V2021已废弃】
     */
    private String applyTime;

    private String tipStatus;

    /**
     * 企业账号由哪一个用户升级而来,对应一个userID【V6.2.0版本已废弃】
     */
    private Integer upgradeBy;

    /**
     * 小程序openId【V6.2.0版本已废弃】
     */
    private String miniProgramOpenId;

    /**
     * 小程序用户Id【V6.2.0版本已废弃】
     */
    private String miniProgramId;

    private static final long serialVersionUID = 1L;
}