package com.caimei.model.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/18
 */
@Data
public class CmOrderVo{
    /**
     * 0待确认,11待收待发,12待收部发,13待收全发,21部收待发,22部收部发,23部收全发,31已收待发,32已收部发,33已收全发,4交易完成,5订单完成,6已关闭,7交易全退
     */
    private String status;

    /**
     * 退货退款类型：1部分退、2全部退
     */
    private String refundType;

    /**
     * 应付金额
     */
    private BigDecimal payableAmount;

    /**
     * 付款总金额
     */
    private BigDecimal receiptAmount;

    /**
     * 待付总金额
     */
    private BigDecimal pendingPayments;

    /**
     * 退款总金额
     */
    private BigDecimal returnedPurchaseFee;

    /**
     * 免邮标志  运费：-1到付，0包邮，1需要运费
     */
    private String freePostFlag;

    /**
     * 0包邮/到付，大于0具体金额
     */
    private BigDecimal freight;

}
