package com.caimei.model.vo;

import com.caimei.model.po.CmOrderPo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/18
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderVo extends CmOrderPo {

    /**
     * 订单状态:0全部,1待付款,2待发货,3已发货,4退货款
     */
    private Integer orderState;

    /**
     * 订单标识:#订单号#
     */
    private String orderMark;

    /**
     * 付款总金额
     */
    private BigDecimal receiptAmount;

    /**
     * 待付总金额
     */
    private BigDecimal pendingPayments;

    /**
     * 退款总金额
     */
    private BigDecimal returnedPurchaseFee;

    /**
     * 总税费
     */
    private BigDecimal ExpensesOfTaxation;

    /**
     * 机构名称
     */
    private String clubName;

    /**
     * 订单内是否包含确定能否开发票的商品
     */
    private boolean invoiceStatus = false;

    /**
     * 支付按钮是否消失,true消失
     */
    private boolean payButton = false;

    /**
     * 是否包含充值商品
     */
    private boolean rechargeGoods = false;
}
