CREATE TABLE `cm_api_organize` (
                                        `id` INT NOT NULL AUTO_INCREMENT,
                                        `userId` INT NULL COMMENT '用户id',
                                        `cmAccount` VARCHAR(45) NULL COMMENT '采美标识，(\'caimei\'+userId)的md5加密',
                                        `privateKey` TEXT NULL COMMENT '组织私钥',
                                        `publicKey` TEXT NULL COMMENT '公钥',
                                        `notifyUrl` TEXT NULL COMMENT '支付完成回调接口',
                                        PRIMARY KEY (`id`))
    ENGINE = InnoDB
    DEFAULT CHARACTER SET = utf8
    COLLATE = utf8_bin
    COMMENT = '采美接口对接组织表';

CREATE TABLE `cm_api_organize_product` (
                                           `id` INT NOT NULL AUTO_INCREMENT,
                                           `organizeId` INT NULL COMMENT '组织Id',
                                           `productId` INT NULL COMMENT '商品Id',
                                           `ladderPriceFlag` INT NULL DEFAULT 0 COMMENT '启用阶梯价格标识 0否 1是',
                                           `price` DECIMAL(11,2) NULL COMMENT '机构价',
                                           `includedTax` INT NULL COMMENT '是否含税   0不含税，1含税，2未知',
                                           `invoiceType` INT NULL COMMENT '发票类型(基于是否含税基础)   1增值税专用发票，2增值税普通发票, 3不能开票',
                                           `clubTaxPoint` DECIMAL(11,2) NULL DEFAULT 0 COMMENT '机构税率 :增值税默认13%，普通票6%取值范围[0-100]',
                                           `shopTaxPoint` DECIMAL(11,2) NULL DEFAULT 0 COMMENT '供应商税率:增值专用发票默认13%，增值税普通发票6%取值范围[0-100]',
                                           `minBuyNumber` INT NULL COMMENT '最小起订量',
                                           `costType` INT NULL COMMENT '成本价类型：1固定成本 2比例成本',
                                           `costPrice` DECIMAL(11,2) NULL DEFAULT 0 COMMENT '成本价',
                                           `costProportional` DECIMAL(11,2) NULL DEFAULT 0 COMMENT '比例成本百分比',
                                           `status` INT NULL DEFAULT 1 COMMENT '商品状态：0已下架，1已上架',
                                           `addTime` DATETIME NULL COMMENT '添加时间',
                                           `delFlag` INT NULL DEFAULT 0 COMMENT '删除标识：0未删除，1已删除',
                                           PRIMARY KEY (`id`))
    ENGINE = InnoDB
    DEFAULT CHARACTER SET = utf8
    COLLATE = utf8_bin
    COMMENT = '采美对接组织商品表';

-- 对接组织商品阶梯价格表
CREATE TABLE `api_organize_product_ladder_price` (
                                                              `id` INT NOT NULL AUTO_INCREMENT,
                                                              `productId` INT NULL COMMENT '组织商品Id',
                                                              `ladderNum` INT NULL COMMENT '第几阶梯',
                                                              `buyNum` INT NULL COMMENT '购买数量',
                                                              `buyPrice` DECIMAL(11,2) NULL COMMENT '购买价格',
                                                              PRIMARY KEY (`id`))
    ENGINE = InnoDB
    DEFAULT CHARACTER SET = utf8
    COLLATE = utf8_bin
    COMMENT = '对接组织商品阶梯价格表';

ALTER TABLE `cm_order`
    ADD COLUMN `apiOrganizeOrderId` VARCHAR(32) NULL COMMENT '对接组织的订单Id，由组织自行生成' AFTER `orderNo`;
